using System;
using System.Collections.Generic;

namespace TwoTextBoxCell
{
	/// <summary>
	/// Summary description for Data.
	/// </summary>
	public class Data
	{
		public Data() : this("", "", "",new List<Customer>() )
		{
		}

		public Data(string cat_Id, string cat_Name, string desc, IList<Customer> c)
		{
			this.cat_Id = cat_Id;
			this.cat_Name = cat_Name;
			this.desc = desc;
			this.custList = c;
		}
		private string cat_Name;
		public string CategoryName
		{
			get
			{
				return this.cat_Name;
			}
			set
			{
				this.cat_Name = value;
			}
		}
		private string desc;
		public string Description
		{
			get
			{
				return this.desc;
			}
			set
			{
				this.desc = value;
			}
		}
		private string cat_Id;
		public string CategoryID
		{
			get
			{
				return this.cat_Id;
			}
			set
			{
				this.cat_Id = value;
			}
		}
		private IList<Customer> custList;

		public IList<Customer> Customers
		{
			get
			{
				return custList;
			}
			set
			{
				custList = value;
			}
		}
		
       }
	public class Customer
	{
		private string custId;
		private string custName;
		public Customer() : this("","")
		{
		}
		public Customer(string cId, string cName)
		{
			CustomerID = cId;
			CustomerName = cName;
		}
		public string CustomerID 
		{
			get
			{
				return this.custId;
			}
			set
			{
				this.custId = value;
			}
		}
		public string CustomerName
		{
			get
			{
				return this.custName;
			}
			set
			{
				this.custName = value;
			}
		}

	}
}
